# -*- coding: utf-8 -*-
from setuphelpers import *


def get_soft_version(key):
    return key["name"].rsplit(" ")[-1]


def install():
    bin_name = glob.glob("svg_see_*.exe")[0]
    install_exe_if_needed(
        bin_name,
        silentflags="/VERYSILENT",
        key="{4CA20D9A-98AC-4DD6-9C16-7449F29AC08A}_is1",
        min_version=control.get_software_version(),
        timeout=600,
        get_version=get_soft_version,
    )
